Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
usermgmt::RoleManager::RoleAccount Struct Reference

Role information. More...

`import <RoleManager.idl;`

## Public Attributes
int | id
| Unique role id.
string | name
| Role name.
Role::Info | info
| Role information.

## Detailed Description

Role information.

Definition at line 55 of file RoleManager.idl.

## Member Data Documentation

## ◆ id

int usermgmt::RoleManager::RoleAccount::id

Unique role id.

Definition at line 56 of file RoleManager.idl.

## ◆ info

Role::Info usermgmt::RoleManager::RoleAccount::info

Role information.

Definition at line 58 of file RoleManager.idl.

## ◆ name

string usermgmt::RoleManager::RoleAccount::name

Role name.

Definition at line 57 of file RoleManager.idl.

The documentation for this struct was generated from the following file:

- RoleManager.idl